com.r3corda.contracts / RatioUnit

# RatioUnit

`open class RatioUnit`

A utility class to prevent the various mixups between percentages, decimals, bips etc.

### Constructors

<init> | `RatioUnit(value: BigDecimal)` A utility class to prevent the various mixups between percentages, decimals, bips etc.

### Properties

value | `val value: BigDecimal`

### Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`

### Inheritors

PercentageRatioUnit | `open class PercentageRatioUnit : RatioUnit` A class to reprecent a percentage in an unambiguous way.